# Generated from fluent-plugin-elasticsearch-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-elasticsearch

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 2%{?dist}
Summary: ElasticSearch output plugin for Fluent event collector
Group: Development/Languages
License: MIT
URL: https://github.com/uken/fluent-plugin-elasticsearch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# This patch was submitted upstream, but closed because upstream 
#   wanted to implement the feature differently
# https://github.com/uken/fluent-plugin-elasticsearch/pull/116
# Upstream is working on it in issue 122
# https://github.com/uken/fluent-plugin-elasticsearch/issues/122
# Remove patch once upstream has implemented their own way of doing this
Patch0: rubygem-fluent-plugin-elasticsearch-1.0.0-dynamic-index-and-type.patch
# This patch has been merged in, but not in the released version yet
# https://github.com/uken/fluent-plugin-elasticsearch/pull/123
# Remove patch once the code is in a released version
Patch1: rubygem-fluent-plugin-elasticsearch-1.0.0-pass-client-config.patch
# This patch has been submitted for a pull request.  Although it has gotten
#  positive reviews, it has not been merged in yet.
# https://github.com/uken/fluent-plugin-elasticsearch/pull/127
# https://github.com/uken/fluent-plugin-elasticsearch/issues/122
# Remove patch once this code, or equivalent is in a released version
Patch2: rubygem-fluent-plugin-elasticsearch-1.0.0-dynamic-config-variables.patch

BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildRequires: fluentd
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(excon)
BuildRequires: rubygem(elasticsearch)
BuildRequires: rubygem(multipart-post)
Requires: fluentd
Requires: rubygem(elasticsearch)
Requires: rubygem(excon)
BuildArch: noarch
%if 0%{?fedora} <= 20 || 0%{?el7}
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
ElasticSearch output plugin for Fluent event collector.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{.gitignore,.travis.yml,.editorconfig}


# Run the test suite
%check
pushd .%{gem_instdir}
# Disabled on EL due to missing dependencies
%if 0%{?fedora} > 0
testrb2 -Ilib test
%endif
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/%{gem_name}.gemspec
%doc %{gem_instdir}/test

%changelog
* Tue Sep 08 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-2
- Add patch2 for implementing dynamic variables in config

* Wed Sep 02 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Update to 1.0.0
- Add patch0 for dynamic index and type
- Add patch1 for passing client configurations to excon

* Tue Feb 17 2015 Graeme Gillies <ggillies@redhat.com> - 0.7.0-1
- Initial package
